Bug 1488374 - [RFE] Gnocchi storage plugin [python-collectd-gnocchi]
Summary: [RFE] Gnocchi storage plugin [python-collectd-gnocchi]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-collectd-gnocchi
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Matthias Runge
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks: 1488155 1540239 1550313
TreeView+ depends on / blocked
 
Reported: 2017-09-05 08:52 UTC by Martin Magr
Modified: 2018-06-27 13:10 UTC (History)
13 users (show)

Fixed In Version: python-collectd-gnocchi-1.6.1-0.20171204185213.828e371.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1540239 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:08:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 526122 None None None 2018-01-03 09:09:35 UTC
OpenStack gerrit 527043 None None None 2017-12-11 10:16:36 UTC
Red Hat Product Errata RHEA-2018:2084 None None None 2018-06-27 13:10:40 UTC

Description Martin Magr 2017-09-05 08:52:25 UTC
Description of problem:

In order to be able to configure Collectd to send metrics to Gnocchi DB, we need to provide relevant plugin for this.

https://copr.fedorainfracloud.org/coprs/mrunge/collectd-stuff/package/python-collectd-gnocchi/

Comment 10 Matthias Runge 2018-01-03 09:09:35 UTC
kolla change has been merged

python-collectd-gnocchi-1.4.1-0.1 was built for OSP 13

missing is the tht change

Comment 12 Matthias Runge 2018-02-07 11:41:14 UTC
This needs documentation: how to use and make sure the change in data storage is also mentioned to enable users to even maybe migrate metrics from one backend to the other.

Comment 14 Leonid Natapov 2018-02-14 17:55:13 UTC
Verified. collectd-gnocchi conf file successfully created 

()[root@controller-0 collectd.d]# cat 00-python.conf
# Generated by Puppet
<LoadPlugin python>
  Globals false
</LoadPlugin>

<Plugin "python">
  Import "collectd_gnocchi"
  <Module "collectd_gnocchi">

    ### Basic authentication
    Endpoint "http://10.35.64.7:8041"

    User "admin"


    ## Default resource type created by the plugin in Gnocchi
    ## to store hosts
    ResourceType "collectd"

    ## Minimum number of values to batch
    BatchSize 10
  </Module>
</Plugin>

Comment 16 Leonid Natapov 2018-02-15 09:21:55 UTC
There was some misunderstanding in what should be tested to verify this BZ.

I am moving this bug back to ON_QA because I couldn't test collectd-gnocchi functionality yet because of another bug the blocks me form doing that.

https://bugzilla.redhat.com/show_bug.cgi?id=1543499

Comment 22 Leonid Natapov 2018-03-07 08:34:50 UTC
metrics are being sent to the gnocchi DB running on the opstools server.

Comment 24 errata-xmlrpc 2018-06-27 13:08:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2084


Note You need to log in before you can comment on or make changes to this bug.